polybori::CDegreeArgumentCache< TagType, DDType > Class Template Reference

`#include <CDegreeCache.h>`

Inheritance diagram for polybori::CDegreeArgumentCache< TagType, DDType >:

## Public Types

Define generic access to data types
typedef DDType | dd_type
typedef TagType | tag_type
typedef CCacheManagement < BoolePolyRing, tag_type, 2 > | base
typedef CDegreeArgumentCache < tag_type, dd_type > | self
Adopt type definitions
typedef base::node_type | node_type
typedef base::manager_type | manager_type
typedef dd_type::navigator | navi_type
typedef CIndexCacheHandle < navi_type > | degree_node_type
Public Types inherited from polybori::CCacheManagement< BoolePolyRing, TagType, 2 >
typedef CCacheManBase < manager_type, cache_type, nargs > | base
| Name base type. More...
typedef base::node_type | node_type
| Extracting inherited node type. More...
enum |
typedef BoolePolyRing | manager_type
typedef manager_type::deg_type | deg_type
typedef manager_type::size_type | size_type
typedef manager_type::idx_type | idx_type
typedef TagType | cache_type
Public Types inherited from polybori::CAuxTypes
typedef bool | bool_type
| Type for standard true/false statements. More...
typedef std::size_t | size_type
| Type for lengths, dimensions, etc. More...
typedef int | deg_type
| Type for polynomial degrees (ranges from -1 to maxint) More...
typedef int | integer_type
| Type for integer numbers. More...
typedef int | idx_type
| Type for indices. More...
typedef std::size_t | hash_type
| Type for hashing. More...
typedef unsigned int | errornum_type
| Type used to store error codes. More...
typedef short int | comp_type
| Type for comparisons. More...
typedef int | ordercode_type
| Type for ordering codes. More...
typedef const char * | errortext_type
| Type used to verbose error information. More...
typedef std::ostream | ostream_type
| Type for out-stream. More...
typedef const char * | vartext_type
| Type for setting/getting names of variables. More...
typedef unsigned long | large_size_type
| large size_type (necessary?) More...
typedef std::size_t | refcount_type
| Type for counting references. More...

## Public Member Functions

| CDegreeArgumentCache (const manager_type &mgr)
| Constructor. More...
| CDegreeArgumentCache (const self &rhs)
| Copy Constructor. More...
| ~CDegreeArgumentCache ()
| Destructor. More...
navi_type | find (navi_type navi, size_type deg) const
| Find cached degree wrt. given navigator. More...
void | insert (navi_type navi, size_type deg, navi_type result) const
| Store cached degree wrt. given navigator. More...
Public Member Functions inherited from polybori::CCacheManagement< BoolePolyRing, TagType, 2 >
| CCacheManagement (const manager_type &mgr)
| Constructor and default constructor. More...

## Member Typedef Documentation

template<class TagType , class DDType >

typedef CCacheManagement<BoolePolyRing, tag_type, 2> polybori::CDegreeArgumentCache< TagType, DDType >::base

template<class TagType , class DDType >

typedef DDType polybori::CDegreeArgumentCache< TagType, DDType >::dd_type

template<class TagType , class DDType >

typedef CIndexCacheHandle<navi_type> polybori::CDegreeArgumentCache< TagType, DDType >::degree_node_type

template<class TagType , class DDType >

typedef base::manager_type polybori::CDegreeArgumentCache< TagType, DDType >::manager_type

template<class TagType , class DDType >

typedef dd_type::navigator polybori::CDegreeArgumentCache< TagType, DDType >::navi_type

template<class TagType , class DDType >

typedef base::node_type polybori::CDegreeArgumentCache< TagType, DDType >::node_type

template<class TagType , class DDType >

typedef CDegreeArgumentCache<tag_type, dd_type> polybori::CDegreeArgumentCache< TagType, DDType >::self

template<class TagType , class DDType >

typedef TagType polybori::CDegreeArgumentCache< TagType, DDType >::tag_type

## Constructor & Destructor Documentation

template<class TagType , class DDType >

polybori::CDegreeArgumentCache< TagType, DDType >::CDegreeArgumentCache | ( | const manager_type & | mgr) |  |

inline

Constructor.

template<class TagType , class DDType >

polybori::CDegreeArgumentCache< TagType, DDType >::CDegreeArgumentCache | ( | const self & | rhs) |  |

inline

Copy Constructor.

template<class TagType , class DDType >

polybori::CDegreeArgumentCache< TagType, DDType >::~CDegreeArgumentCache | ( | ) |  |

inline

Destructor.

## Member Function Documentation

template<class TagType , class DDType >

navi_type polybori::CDegreeArgumentCache< TagType, DDType >::find | ( | navi_type | navi,
|  | size_type | deg
| ) |  | const

inline

Find cached degree wrt. given navigator.

template<class TagType , class DDType >

void polybori::CDegreeArgumentCache< TagType, DDType >::insert | ( | navi_type | navi,
|  | size_type | deg,
|  | navi_type | result
| ) |  | const

inline

Store cached degree wrt. given navigator.

The documentation for this class was generated from the following file:

- CDegreeCache.h